Interface Http1Config
- All Superinterfaces:
HttpConfig, NamedService, ProtocolConfig, Prototype.Api
- All Known Implementing Classes:
Http1Config.BuilderBase.Http1ConfigImpl
HTTP/1.1 server configuration.
- See Also:
-
Nested Class Summary
Nested ClassesModifier and TypeInterfaceDescriptionstatic classFluent API builder forHttp1Config.static classHttp1Config.BuilderBase<BUILDER extends Http1Config.BuilderBase<BUILDER, PROTOTYPE>, PROTOTYPE extends Http1Config>Fluent API builder base forHttp1Config. -
Method Summary
Modifier and TypeMethodDescriptionaltSvc()ExplicitAlt-Svcadvertisement.static Http1Config.Builderbuilder()Create a new fluent API builder to customize configuration.static Http1Config.Builderbuilder(Http1Config instance) Create a new fluent API builder from an existing instance.A single receive listener, this value is computed.A single send listener, this value is computed.booleanWhen true WebServer answers to expect continue with 100 continue immediately, not waiting for user to actually request the data.static Http1Configcreate()Create a new instance with default values.static Http1ConfigCreate a new instance from configuration.intMaximum size of received headers in bytes, which must be greater than0.intMaximal size of received HTTP prologue (GET /path HTTP/1.1).name()Name of this configuration, in most cases the same astype().Connection receive event listeners for HTTP/1.1.booleanDeprecated, for removal: This API element is subject to removal in a future version.Requested URI discovery settings.Connection send event listeners for HTTP/1.1.booleansendLog()Deprecated, for removal: This API element is subject to removal in a future version.useHttpConfig.log()default Stringtype()Protocol configuration type.booleanWhether to validate path characters and HTTP/1.1 request-target forms.booleanDisables query and fragment syntax validation when set tofalse; intended only for closed systems receiving trusted, valid request targets, as behavior for invalid input is unspecified.Methods inherited from interface HttpConfig
log, maxBufferedEntitySize, validateRequestHeaders, validateResponseHeadersModifier and TypeMethodDescriptiondefault HttpLogConfiglog()HTTP Log configuration.default SizeConfigure the maximum size allowed for an entity that can be explicitly buffered by the application by callingio.helidon.http.media.ReadableEntity.buffer().default booleanWhether to validate request headers.default booleanWhether to validate response headers.Methods inherited from interface ProtocolConfig
enabled, transportBindingTypesModifier and TypeMethodDescriptiondefault booleanenabled()Whether this protocol configuration is enabled.Transport binding provider keys compatible with this protocol.
-
Method Details
-
builder
Create a new fluent API builder to customize configuration.- Returns:
- a new builder
-
builder
Create a new fluent API builder from an existing instance.- Parameters:
instance- an existing instance used as a base for the builder- Returns:
- a builder based on an instance
-
create
Create a new instance from configuration.- Parameters:
config- used to configure the new instance- Returns:
- a new instance configured from configuration
-
create
-
type
Protocol configuration type.- Specified by:
typein interfaceNamedService- Returns:
- type of this configuration
-
name
String name()Name of this configuration, in most cases the same astype().- Specified by:
namein interfaceNamedService- Returns:
- name of this configuration
-
maxPrologueLength
int maxPrologueLength()Maximal size of received HTTP prologue (GET /path HTTP/1.1).- Returns:
- maximal size in bytes
-
maxHeadersSize
int maxHeadersSize()Maximum size of received headers in bytes, which must be greater than0. Defaults to16384.This override preserves generated
Http1Config.BuilderBasebinary compatibility.- Specified by:
maxHeadersSizein interfaceHttpConfig- Returns:
- maximum headers size
-
validatePrologue
boolean validatePrologue()Disables query and fragment syntax validation when set tofalse; intended only for closed systems receiving trusted, valid request targets, as behavior for invalid input is unspecified. Validation of path is controlled byvalidatePath().- Returns:
- whether to validate prologue query and fragment
-
validatePath
boolean validatePath()Whether to validate path characters and HTTP/1.1 request-target forms.- Returns:
- whether to validate path
-
continueImmediately
boolean continueImmediately()When true WebServer answers to expect continue with 100 continue immediately, not waiting for user to actually request the data.- Returns:
- if
trueanswer with 100 continue immediately after expect continue
-
requestedUriDiscovery
RequestedUriDiscoveryContext requestedUriDiscovery()Requested URI discovery settings.- Returns:
- settings for computing the requested URI
-
sendListeners
List<Http1ConnectionListener> sendListeners()Connection send event listeners for HTTP/1.1.- Returns:
- send event listeners
-
receiveListeners
List<Http1ConnectionListener> receiveListeners()Connection receive event listeners for HTTP/1.1.- Returns:
- receive event listeners
-
altSvc
-
compositeSendListener
Http1ConnectionListener compositeSendListener()A single send listener, this value is computed.- Returns:
- send listener
-
compositeReceiveListener
Http1ConnectionListener compositeReceiveListener()A single receive listener, this value is computed.- Returns:
- receive listener
-
receiveLog
Deprecated, for removal: This API element is subject to removal in a future version.useHttpConfig.log()Logging of received packets. Uses trace and debug levels on logger ofHttp1LoggingConnectionListenerwith suffix of.recv`.- Returns:
trueif logging should be enabled for received packets,falseif no logging should be done
-
sendLog
Deprecated, for removal: This API element is subject to removal in a future version.useHttpConfig.log()Logging of sent packets. Uses trace and debug levels on logger ofHttp1LoggingConnectionListenerwith suffix of.send`.- Returns:
trueif logging should be enabled for sent packets,falseif no logging should be done
-
HttpConfig.log()